Package org.eclipse.birt.report.engine.api

# Enum CompressionMode

java.lang.Object
java.lang.Enum<CompressionMode>
org.eclipse.birt.report.engine.api.CompressionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionMode>`, `java.lang.constant.Constable`

public enum CompressionMode extends Enum<CompressionMode>
Specify the compression mode to generate ooxml file.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BEST_COMPRESSION`
`BEST_SPEED`
`NO_COMPRESSION`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static CompressionMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEST_COMPRESSION

public static final CompressionMode BEST_COMPRESSION

### BEST_SPEED

public static final CompressionMode BEST_SPEED

### NO_COMPRESSION

public static final CompressionMode NO_COMPRESSION

## Method Details

### values

public static CompressionMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompressionMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()